Mailinglist Archive: opensuse-buildservice (170 mails)

< Previous Next >
Re: [opensuse-buildservice] Fedora:17 - have choice for libatlas
On Wednesday 2012-10-03 17:23, Matwey V. Kornilov wrote:

I got "have choice for libatlas.so.3 needed by gsl: atlas-sse2 atlas-sse3
atlas-sse atlas-3dnow atlas". It seems slightly different packaging style.
So "Prefer:" field is required here in project conf.

As far as I understand, there are different versions for different
optimizations. That is, it doesn't play a role for building, because ABI is
compatible.

But if you run things like testsuites as part of %check, you don't want
a possibly incompatible one in the build root :)
The safe best is to prefer atlas(-nooptimization) or deprefer the others
as Adrian did.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >